gd_alias_target(3)

NAME
gd_alias_target — return the target of an alias defined in a dirfile database

SYNOPSIS
#include <getdata.h>

const char *gd_alias_target(DIRFILE *dirfile, const char *alias_name);

DESCRIPTION
The gd_alias_target() function queries a dirfile(5) database specified by dirfile and returns the target field code of the alias specified by alias_name.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

Note: the target may itself be the an alias, which will have its own target. To obtain the canonical name of the field ultimately referenced by alias_name, pass it to gd_entry(3) and inspect the field member of the gd_entry_t structure returned.

RETURN VALUE
Upon successful completion, gd_alias_target() returns a pointer to a read-only character string containing the name of the target of the specified alias. On error, gd_alias_target() returns NULL and sets the dirfile error a non-zero error value. Possible error values are:

GD_E_BAD_CODE
    The name alias_name was not found in the dirfile. GD_E_BAD_DIRFILE The supplied dirfile was invalid.

GD_E_BAD_FIELD_TYPE
    The entry specified by alias_name was not an alias.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_aliases(3), gd_entry(3), gd_open(3), dirfile(5)